summaryrefslogtreecommitdiff
path: root/easy-rsa/1.0/revoke-crt
diff options
context:
space:
mode:
authorAlberto Gonzalez Iniesta <agi@inittab.org>2012-02-21 15:53:40 +0100
committerAlberto Gonzalez Iniesta <agi@inittab.org>2012-02-21 15:53:40 +0100
commit349cfa7acb95abe865209a28e417ec74b56f9bba (patch)
treead65334821b587c4ecdd461be84c94305ffdb888 /easy-rsa/1.0/revoke-crt
Imported Upstream version 2.2.1upstream/2.2.1
Diffstat (limited to 'easy-rsa/1.0/revoke-crt')
-rw-r--r--easy-rsa/1.0/revoke-crt18
1 files changed, 18 insertions, 0 deletions
diff --git a/easy-rsa/1.0/revoke-crt b/easy-rsa/1.0/revoke-crt
new file mode 100644
index 0000000..35b071a
--- /dev/null
+++ b/easy-rsa/1.0/revoke-crt
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+#
+# revoke a certificate
+#
+#
+
+if test $# -ne 1; then
+ echo "usage: revoke-crt <file.crt>";
+ exit 1
+fi
+
+if test $KEY_DIR; then
+ cd $KEY_DIR && \
+ openssl ca -revoke $1 -config $KEY_CONFIG
+else
+ echo you must define KEY_DIR
+fi